Bug 184336 - Searching through Resource Bundles in Branding editor is too hidden
Searching through Resource Bundles in Branding editor is too hidden
Status: RESOLVED FIXED
Product: apisupport
Classification: Unclassified
Component: Project
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Antonin Nebuzelsky
issues@apisupport
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-16 09:16 UTC by Antonin Nebuzelsky
Modified: 2010-04-21 04:38 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Antonin Nebuzelsky 2010-04-16 09:16:12 UTC
Search in the tree of resource bundle keys and values in Branding editor is possible, but it is not obvious immediately.

User needs to right-click the root node (Resource Bundles node), invoke Show all bundle keys action, and then start typing what she is searching for. A regular tree view's quick search field appears at the bottom of the window, where the user specifies the search string. Pressing F3 repeatedly cycles through occurences of the search string in the tree.

Adding a permanently visible Search field in the window would help significantly.
Comment 1 Antonin Nebuzelsky 2010-04-19 19:25:13 UTC
http://hg.netbeans.org/core-main/rev/49a822b29fb8
Comment 2 Quality Engineering 2010-04-21 04:38:06 UTC
Integrated into 'main-golden', will be available in build *201004210200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/49a822b29fb8
User: Antonin Nebuzelsky <anebuzelsky@netbeans.org>
Log: #184336 - Searching through Resource Bundles in Branding editor is too hidden


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo